### Method

# Gsk GLShaderget_n_textures

#### Declaration [src]

    int
    gsk_gl_shader_get_n_textures (
      GskGLShader* shader
    )

#### Description [src]

Returns the number of textures that the shader requires.

This can be used to check that the a passed shader works in your usecase. It is determined by looking at the highest u_textureN value that the shader defines.

#### Return value

Type: `int`

The number of texture inputs required by `shader`.